package it.integry.integrywmsnative.view.dialogs.input_lu_prod;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.model.JtbFasi;
import it.integry.integrywmsnative.core.model.MtbTCol;

public class DialogInputLUProdResultDTO {

    private BigDecimal numCnf;
    private BigDecimal pesoCollo;
    private BigDecimal pesoNetto;
    private BigDecimal taraPed;
    private BigDecimal taraCol;
    private BigDecimal pesoLordo;

    private MtbTCol mtbTCol;
    private JtbFasi jtbFasi;


    public BigDecimal getNumCnf() {
        return numCnf;
    }

    public DialogInputLUProdResultDTO setNumCnf(BigDecimal numCnf) {
        this.numCnf = numCnf;
        return this;
    }

    public BigDecimal getPesoCollo() {
        return pesoCollo;
    }

    public DialogInputLUProdResultDTO setPesoCollo(BigDecimal pesoCollo) {
        this.pesoCollo = pesoCollo;
        return this;
    }

    public BigDecimal getPesoNetto() {
        return pesoNetto;
    }

    public DialogInputLUProdResultDTO setPesoNetto(BigDecimal pesoNetto) {
        this.pesoNetto = pesoNetto;
        return this;
    }

    public BigDecimal getTaraPed() {
        return taraPed;
    }

    public DialogInputLUProdResultDTO setTaraPed(BigDecimal taraPed) {
        this.taraPed = taraPed;
        return this;
    }

    public BigDecimal getTaraCol() {
        return taraCol;
    }

    public DialogInputLUProdResultDTO setTaraCol(BigDecimal taraCol) {
        this.taraCol = taraCol;
        return this;
    }

    public BigDecimal getPesoLordo() {
        return pesoLordo;
    }

    public DialogInputLUProdResultDTO setPesoLordo(BigDecimal pesoLordo) {
        this.pesoLordo = pesoLordo;
        return this;
    }

    public MtbTCol getMtbTCol() {
        return mtbTCol;
    }

    public DialogInputLUProdResultDTO setMtbTCol(MtbTCol mtbTCol) {
        this.mtbTCol = mtbTCol;
        return this;
    }

    public JtbFasi getJtbFasi() {
        return jtbFasi;
    }

    public DialogInputLUProdResultDTO setJtbFasi(JtbFasi jtbFasi) {
        this.jtbFasi = jtbFasi;
        return this;
    }
}
